;-------------------------------------------
; Interregio and Express Trains
;-------------------------------------------
;Rheingold
mif( [ $train == 200 ] )
Uvar($off 255)
include( ..\includes\train200.inc )
mifend
;Express Train with seven cars and 01
mif( [ $train == 201 ] )
Uvar($off 255)
include( ..\includes\train201.inc )
mifend
;Express Train with seven cars and 41
mif( [ $train == 202 ] )
Uvar($off 255)
include( ..\includes\train202.inc )
mifend
;IR Train with seven cars and red engine 111
mif( [ $train == 220 ] )
Uvar($off 255)
include( ..\includes\train220.inc )
mifend
;IR Train with seven cars and blue\beige engine 111
mif( [ $train == 221 ] )
Uvar($off 117)
include( ..\includes\train220.inc )
mifend
;IR Train with seven cars and S-Bahn engine 111
mif( [ $train == 222 ] )
Uvar($off 255)
include( ..\includes\train222.inc )
mifend
;IR Train with seven cars and blue engine 111
mif( [ $train == 223 ] )
Uvar($off 117)
include( ..\includes\train222.inc )
mifend
;IR Train with seven cars and blue engine 110
mif( [ $train == 224 ] )
Uvar($off 117)
include( ..\includes\train224.inc )
mifend
;IR mit BR 120
mif( [ $train == 225 ] )
Uvar($off 117)
include( ..\includes\train225.inc )
mifend
mif( [ $train == 226 ] )
Uvar($off 255)
include( ..\includes\train225.inc )
mifend
;---------------------------
;POP  Train with seven cars and red engine 111
mif( [ $train == 230 ] )
Uvar($off 255)
include( ..\includes\train230.inc )
mifend
;POP Train with seven cars and blue/beige engine 111
mif( [ $train == 231 ] )
Uvar($off 117)
include( ..\includes\train230.inc )
mifend
;POP Train with seven cars and S-Bahn engine 111
mif( [ $train == 232 ] )
Uvar($off 255)
include( ..\includes\train232.inc )
mifend
;POP Train with seven cars and blue engine 111
mif( [ $train == 233 ] )
Uvar($off 117)
include( ..\includes\train232.inc )
mifend
;POP Train with seven cars and blue engine 110
mif( [ $train == 234 ] )
Uvar($off 117)
include( ..\includes\train234.inc )
mifend
;IC Train with ten cars and red engine 120
mif( [ $train == 235 ] )
Uvar($off 255)
include( ..\includes\train235.inc )
mifend
;IC Train with ten cars and beige engine 120
mif( [ $train == 236 ] )
Uvar($off 117)
include( ..\includes\train235.inc )
mifend
;IC Train with ten cars and red engine 101
mif( [ $train == 237 ] )
Uvar($off 255)
include( ..\includes\train237.inc )
mifend
;IC Train with ten cars and engine 12x
mif( [ $train == 238 ] )
Uvar($off 117)
include( ..\includes\train237.inc )
mifend
;--------------------------------
;Classic D  Train with seven cars and red engine 111
mif( [ $train == 240 ] )
Uvar($off 255)
include( ..\includes\train240.inc )
mifend
;Classic D Train with seven cars and blue/beige engine 111
mif( [ $train == 241 ] )
Uvar($off 117)
include( ..\includes\train240.inc )
mifend
;Classic D Train with seven cars and S-Bahn engine 111
mif( [ $train == 242 ] )
Uvar($off 255)
include( ..\includes\train242.inc )
mifend
;Classic D Train with seven cars and blue engine 111
mif( [ $train == 243 ] )
Uvar($off 117)
include( ..\includes\train242.inc )
mifend
;Classic D Train with seven cars and blue engine 110
mif( [ $train == 244 ] )
Uvar($off 117)
include( ..\includes\train244.inc )
mifend
;Classic IC Train with seven cars and red 120
mif( [ $train == 245 ] )
Uvar($off 255)
include( ..\includes\train245.inc )
mifend
;Classic IC Train with seven cars and beige 120
mif( [ $train == 246 ] )
Uvar($off 117)
include( ..\includes\train245.inc )
mifend
;--------------------------------
;Old D  Train with seven cars and blue engine 110
mif( [ $train == 250 ] )
Uvar($off 117)
include( ..\includes\train250.inc )
mifend
;Old D Train with seven cars and blue/beige engine 111
mif( [ $train == 251 ] )
Uvar($off 117)
include( ..\includes\train251.inc )
mifend
;Old D Train with seven cars and S-Bahn engine 111
mif( [ $train == 252 ] )
Uvar($off 255)
include( ..\includes\train252.inc )
mifend
;Old D Train with seven cars and blue engine 111
mif( [ $train == 253 ] )
Uvar($off 117)
include( ..\includes\train252.inc )
mifend
;Old D Train with seven cars and red Austrian 1043
mif( [ $train == 254 ] )
Uvar($off 255)
include( ..\includes\train250.inc )
mifend
;-----------------------------------------------
; I C E
;-----------------------------------------------
; ICE 1 " Manfred Moldenhauer " with 2 heads and 12 coaches
mif( [ $train == 401 ] )
include( ..\includes\train401.inc )
mifend
; ICE 2  with 2 heads and 6 coaches
mif( [ $train == 402 ] )
include( ..\includes\train402.inc )
mifend
; Lufthansa Airport Express
mif( [ $train == 404 ] )
include( ..\includes\train404.inc )
mifend
; IC 403
mif( [ $train == 405 ] )
include( ..\includes\train405.inc )
mifend
;-----------------------------------------------
; Austrian
;------------------------------------------------
; D  Train with seven cars and  engine 1043 red
mif( [ $train == 260 ] )
Uvar($off 255)
include( ..\includes\train260.inc )
mifend
; D  Train with seven cars and  engine 1044 red
mif( [ $train == 253 ] )
Uvar($off 255)
include( ..\includes\train253.inc )
mifend
; D  Train with seven cars and  engine 1043 green
mif( [ $train == 261 ] )
Uvar($off 255)
include( ..\includes\train261.inc )
mifend
; D  Train with seven cars and  DB 110 blue
mif( [ $train == 262 ] )
Uvar($off 117)
include( ..\includes\train260.inc )
mifend
; D  Train with seven cars and  DB
mif( [ $train == 263 ] )
Uvar($off 117)
include( ..\includes\train261.inc )
mifend
;-----------------------------------------------
;SNCB
; Express  Train with seven cars 
mif( [ $train == 264 ] )
Uvar($off 255)
include( ..\includes\train264.inc )
mifend
; Express  Train with seven cars 
mif( [ $train == 265 ] )
Uvar($off 255)
include( ..\includes\train265.inc )
mifend
;-----------------------------------------------
; NS Netherlands
; Express  Train with seven cars IC +
mif( [ $train == 267 ] )
Uvar($off 117)
include( ..\includes\train266.inc )
mifend
mif( [ $train == 266 ] ) IC +
Uvar($off 255)
include( ..\includes\train266.inc )
mifend
; Express  Train with seven cars 
mif( [ $train == 269 ] )
Uvar($off 117)
include( ..\includes\train268.inc )
mifend
mif( [ $train == 268 ] )
Uvar($off 255)
include( ..\includes\train268.inc )
mifend
; EID4 Schnelltriebwagen
mif( [ $train == 453 ] )
include( ..\includes\train453.inc )
mifend
;-----------------------------------------------
; Sweden
;------------------------------------------------
; D  Train with seven cars and  engine RC2
mif( [ $train == 270 ] )
Uvar($off 255)
include( ..\includes\train270.inc )
mifend
; D  Train with seven cars and  engine RC3
mif( [ $train == 271 ] )
Uvar($off 255)
include( ..\includes\train271.inc )
mifend
; D  Train with seven cars and  engine RC
mif( [ $train == 272 ] )
Uvar($off 255)
include( ..\includes\train272.inc )
mifend
; old D  Train with seven cars and  engine RC2
mif( [ $train == 273 ] )
Uvar($off 255)
include( ..\includes\train273.inc )
mifend
; old D  Train with seven cars and  engine RC2
mif( [ $train == 274 ] )
Uvar($off 255)
include( ..\includes\train274.inc )
mifend
; old D  Train with seven cars and  engine RC
mif( [ $train == 275 ] )
Uvar($off 255)
include( ..\includes\train275.inc )
mifend
;-----------------------------------------------
; NSB Norway
mif( [ $train == 276 ] )
Uvar($off 255)
include( ..\includes\train276.inc )
mifend
mif( [ $train == 277 ] )
Uvar($off 117)
include( ..\includes\train276.inc )
mifend
;-----------------------------------------------
; United Kingdom
;------------------------------------------------
; Express  Train with seven cars and  engine Kl87
mif( [ $train == 280 ] )
Uvar($off 117)
include( ..\includes\train280.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR82
mif( [ $train == 281 ] )
Uvar($off 53)
include( ..\includes\train281.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR82
mif( [ $train == 282 ] )
Uvar($off 221)
include( ..\includes\train281.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR89
mif( [ $train == 283 ] )
Uvar($off 111)
include( ..\includes\train283.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR82
mif( [ $train == 284 ] )
Uvar($off 53)
include( ..\includes\train284.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR82
mif( [ $train == 285 ] )
Uvar($off 221)
include( ..\includes\train284.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR89
mif( [ $train == 286 ] )
Uvar($off 111)
include( ..\includes\train286.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR82
mif( [ $train == 287 ] )
Uvar($off 53)
include( ..\includes\train287.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR82
mif( [ $train == 288 ] )
Uvar($off 221)
include( ..\includes\train287.inc )
mifend
; Intercity  Train with seven cars and  engine electric BR89
mif( [ $train == 289 ] )
Uvar($off 111)
include( ..\includes\train289.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR82
mif( [ $train == 371 ] )
Uvar($off 53)
Uvar( $offr 0 )
include( ..\includes\train371.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR82
mif( [ $train == 372 ] )
Uvar($off 221)
Uvar( $offr 64 )
include( ..\includes\train372.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR89
mif( [ $train == 373 ] )
Uvar($off 111)
Uvar( $offr 32 )
include( ..\includes\train373.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR82
mif( [ $train == 374 ] )
Uvar($off 53)
Uvar( $offr 0 )
include( ..\includes\train374.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR82
mif( [ $train == 375 ] )
Uvar($off 221)
Uvar( $offr 64 )
include( ..\includes\train375.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR89
mif( [ $train == 376 ] )
Uvar($off 111)
Uvar( $offr 32 )
include( ..\includes\train376.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR82
mif( [ $train == 377 ] )
Uvar($off 53)
Uvar( $offr 0 )
include( ..\includes\train377.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR82
mif( [ $train == 378 ] )
Uvar($off 221)
Uvar( $offr 64 )
include( ..\includes\train378.inc )
mifend
; Intercity  Train with seven cars and  engine Diesel BR89
mif( [ $train == 379 ] )
Uvar($off 111)
Uvar( $offr 32 )
include( ..\includes\train379.inc )
mifend
; APT Schnelltriebwagen 4 Wagen
mif( [ $train == 454 ] )
include( ..\includes\train454.inc )
mifend
; APT Schnelltriebwagen 6 Wagen
mif( [ $train == 464 ] )
include( ..\includes\train464.inc )
mifend
;-----------------------------------------------
;Switzerland SBB
;-----------------------------------------------
; Express  Train with seven cars and 460
mif( [ $train == 290 ] )
Uvar($off 117)
include( ..\includes\train290.inc )
mifend
; Express  Train with seven cars and 460
mif( [ $train == 292 ] )
Uvar($off 117)
include( ..\includes\train292.inc )
mifend
; Express  Train with seven french cars and 460
mif( [ $train == 294 ] )
Uvar($off 117)
include( ..\includes\train294.inc )
mifend
; Express  Train with seven french cars and 460
mif( [ $train == 296 ] )
Uvar($off 117)
include( ..\includes\train296.inc )
mifend
;-----------------------------------------------
;                                  France SNCF
;-----------------------------------------------
; Express  Train with seven swiss EC cars engine BB26000
mif( [ $train == 291 ] )
Uvar($off 255)
include( ..\includes\train290.inc )
mifend
; Express  Train with seven swiss IC cars engine BB26000
mif( [ $train == 293 ] )
Uvar($off 255)
include( ..\includes\train292.inc )
mifend
; French express cars BB26000
mif( [ $train == 295 ] )
Uvar($off 255)
include( ..\includes\train294.inc )
mifend
; Express  Train with seven french cars BB26000
mif( [ $train == 297 ] )
Uvar($off 255)
include( ..\includes\train296.inc )
mifend
; BB 15000
mif( [ $train == 298 ] )
Uvar($off 255)
include( ..\includes\train298.inc )
mifend
; BB 15000
mif( [ $train == 299 ] )
Uvar($off 255)
include( ..\includes\train299.inc )
mifend
; Interloire BB 15000
mif( [ $train == 470 ] )
Uvar($off 255)
include( ..\includes\train470.inc )
mifend
; Interloire BB26000
mif( [ $train == 471 ] )
Uvar($off 255)
include( ..\includes\train471.inc )
mifend
; Corail BB 15000
mif( [ $train == 472 ] )
Uvar($off 255)
include( ..\includes\train472.inc )
mifend
; Corail BB26000
mif( [ $train == 473 ] )
Uvar($off 255)
include( ..\includes\train473.inc )
mifend
; Interloire BB 22200
mif( [ $train == 474 ] )
Uvar($off 255)
include( ..\includes\train474.inc )
mifend
; Corail BB 22200
mif( [ $train == 475 ] )
Uvar($off 255)
include( ..\includes\train475.inc )
mifend
; TGV classic
mif( [ $train == 411 ] )
include( ..\includes\train411.inc )
mifend
; TGV atlantique
mif( [ $train == 412 ] )
include( ..\includes\train412.inc )
mifend
; TMST Eurostar
mif( [ $train == 413 ] )
include( ..\includes\train413.inc )
mifend
; new TGV duplex
mif( [ $train == 414 ] )
include( ..\includes\train414.inc )
mifend
; Turbotrain
mif( [ $train == 450 ] )
include( ..\includes\train450.inc )
mifend
;-----------------------------------------------
;US
; Steam trains
; Santa FE 
mif( [ $train == 300 ] )
include( ..\includes\train300.inc )
mifend
; Burlington Northern 
mif( [ $train == 301 ] )
include( ..\includes\train301.inc )
mifend
; Illinois Central 
mif( [ $train == 302 ] )
include( ..\includes\train302.inc )
mifend
; AMTRAK 
mif( [ $train == 303 ] )
include( ..\includes\train303.inc )
mifend
; B & O 
mif( [ $train == 304 ] )
include( ..\includes\train304.inc )
mifend
; Union Pacific 
mif( [ $train == 305 ] )
include( ..\includes\train305.inc )
mifend
; Southen Pacific 
mif( [ $train == 306 ] )
include( ..\includes\train306.inc )
mifend
; 
mif( [ $train == 307 ] )
include( ..\includes\train307.inc )
mifend
; 
mif( [ $train == 308 ] )
include( ..\includes\train308.inc )
mifend
; 
mif( [ $train == 309 ] )
include( ..\includes\train309.inc )
mifend
;-----------------------------------------------
; F7 driven express trains
;-----------------------------------------------
; Santa FE F7 AA unit 200 m
mif( [ $train == 310 ] )
include( ..\includes\train310.inc )
mifend
; Burlington Northern F7 AA unit 200 m
mif( [ $train == 311 ] )
include( ..\includes\train311.inc )
mifend
; Illinois Central F7 AA unit 200 m
mif( [ $train == 312 ] )
include( ..\includes\train312.inc )
mifend
; AMTRAK F7 AA unit 200 m
mif( [ $train == 313 ] )
include( ..\includes\train313.inc )
mifend
; B & O F7 AA unit 200 m
mif( [ $train == 314 ] )
include( ..\includes\train314.inc )
mifend
; Union Pacific F7 AA unit 200 m
mif( [ $train == 315 ] )
include( ..\includes\train315.inc )
mifend
; Southen Pacific F7AA
mif( [ $train == 316 ] )
include( ..\includes\train316.inc )
mifend
; Burlington Northern F7 AA unit 200 m
mif( [ $train == 317 ] )
include( ..\includes\train317.inc )
mifend
; Canada National + VIA F7AA
mif( [ $train == 318 ] )
include( ..\includes\train318.inc )
mifend
; Burlington Northern F7 AA unit 200 m
mif( [ $train == 319 ] )
include( ..\includes\train319.inc )
mifend
; Santa FE F7 AB unit 200 m
mif( [ $train == 320 ] )
include( ..\includes\train320.inc )
mifend
; Burlington Northern F7 AB unit 200 m
mif( [ $train == 321 ] )
include( ..\includes\train321.inc )
mifend
; Illinois Central F7 AB unit 200 m
mif( [ $train == 322 ] )
include( ..\includes\train322.inc )
mifend
; AMTRAK F7 AB unit 200 m
mif( [ $train == 323 ] )
include( ..\includes\train323.inc )
mifend
; B & O F7 AB unit 200 m
mif( [ $train == 324 ] )
include( ..\includes\train324.inc )
mifend
; Union Pacific F7 AB unit 200 m
mif( [ $train == 325 ] )
include( ..\includes\train325.inc )
mifend
; Southen Pacific F7AB
mif( [ $train == 326 ] )
include( ..\includes\train326.inc )
mifend
; Burlington Northern F7 AB unit 200 m
mif( [ $train == 327 ] )
include( ..\includes\train327.inc )
mifend
; Canada National + VIA F7AB
mif( [ $train == 328 ] )
include( ..\includes\train328.inc )
mifend
; Burlington Northern F7 AB unit 200 m
mif( [ $train == 329 ] )
include( ..\includes\train329.inc )
mifend
; Santa FE F7 ABA unit 300 m
mif( [ $train == 330 ] )
include( ..\includes\train330.inc )
mifend
; Burlington Northern F7 ABA unit 300 m
mif( [ $train == 331 ] )
include( ..\includes\train331.inc )
mifend
; Illinois Central F7 ABA unit 300 m
mif( [ $train == 332 ] )
include( ..\includes\train332.inc )
mifend
; AMTRAK F7 ABA unit 300 m
mif( [ $train == 333 ] )
include( ..\includes\train333.inc )
mifend
; B & O F7 ABA unit 300 m
mif( [ $train == 334 ] )
include( ..\includes\train334.inc )
mifend
; Union Pacific F7 ABA unit 300 m
mif( [ $train == 335 ] )
include( ..\includes\train335.inc )
mifend
; Southen Pacific F7ABA
mif( [ $train == 336 ] )
include( ..\includes\train336.inc )
mifend
; Burlington Northern F7 ABA unit 300 m
mif( [ $train == 337 ] )
include( ..\includes\train337.inc )
mifend
; Canada National + VIA F7ABA
mif( [ $train == 338 ] )
include( ..\includes\train338.inc )
mifend
; Burlington Northern F7 ABA unit 300 m
mif( [ $train == 339 ] )
include( ..\includes\train339.inc )
mifend
; Amtrak Superliner
mif( [ $train == 340 ] )
include( ..\includes\train340.inc )
mifend
mif( [ $train == 341 ] )
include( ..\includes\train341.inc )
mifend
mif( [ $train == 342 ] )
include( ..\includes\train342.inc )
mifend
; Turbotrain
mif( [ $train == 451 ] )
include( ..\includes\train451.inc )
mifend
;-----------------------------------------------
; Spain 
;-----------------------------------------------
; AVE
mif( [ $train == 420 ] )
include( ..\includes\train420.inc )
mifend
mif( [ $train == 424 ] )
Uvar($off 117)
include( ..\includes\train424.inc )
mifend
mif( [ $train == 425 ] )
Uvar($off 255)
include( ..\includes\train424.inc )
mifend
mif( [ $train == 426 ] )
Uvar($off 117)
include( ..\includes\train426.inc )
mifend
mif( [ $train == 427 ] )
Uvar($off 255)
include( ..\includes\train426.inc )
mifend
; Talgo
mif( [ $train == 460 ] )
Uvar($off 117)
include( ..\includes\train460.inc )
mifend
mif( [ $train == 461 ] )
Uvar($off 255)
include( ..\includes\train460.inc )
mifend
mif( [ $train == 462 ] )
Uvar($off 117)
include( ..\includes\train462.inc )
mifend
mif( [ $train == 463 ] )
Uvar($off 255)
include( ..\includes\train462.inc )
mifend

;----------------------------------------------
; Italy FS
;----------------------------------------------
; ET500
mif( [ $train == 430 ] )
include( ..\includes\train430.inc )
mifend
; TEE Diesel
mif( [ $train == 452 ] )
include( ..\includes\train452.inc )
mifend
;IR Train with seven cars and new engine B'B'B'666
mif( [ $train == 210 ] )
Uvar($off 255)
include( ..\includes\train210.inc )
mifend
;IR Train with seven cars and new engine BB464
mif( [ $train == 211 ] )
Uvar($off 117)
include( ..\includes\train210.inc )
mifend
;EC Train with seven cars and new engine B'B'B'666
mif( [ $train == 212 ] )
Uvar($off 255)
include( ..\includes\train212.inc )
mifend
;EC Train with seven cars and new engine BB 464
mif( [ $train == 213 ] )
Uvar($off 117)
include( ..\includes\train212.inc )
mifend
;Old express Train with seven cars and old engine B'B'B'646
mif( [ $train == 214 ] )
Uvar($off 255)
include( ..\includes\train214.inc )
mifend
;Old express Train with seven cars and old engine BB 444
mif( [ $train == 215 ] )
Uvar($off 117)
include( ..\includes\train214.inc )
mifend
;express Train with seven cars and old engine B'B'B'646
mif( [ $train == 216 ] )
Uvar($off 255)
include( ..\includes\train216.inc )
mifend
;express Train with seven cars and old engine BB 444
mif( [ $train == 217 ] )
Uvar($off 117)
include( ..\includes\train216.inc )
mifend
;express Train with seven cars and new engine B'B'B'
mif( [ $train == 218 ] )
Uvar($off 255)
include( ..\includes\train218.inc )
mifend
;express Train with seven cars and new engine BB
mif( [ $train == 219 ] )
Uvar($off 117)
include( ..\includes\train218.inc )
mifend
;Pendolino ETR490?
mif( [ $train == 406 ] )
include( ..\includes\train406.inc )
mifend
;----------------------------------------------------
; Hellas Greece
;----------------------------------------------------
;IR mit Diesel 477
mif( [ $train == 227 ] )
Uvar($off 117)
include( ..\includes\train227.inc )
mifend
;IR mit OSEE 561
mif( [ $train == 228 ] )
Uvar($off 255)
include( ..\includes\train228.inc )
mifend
;IR mit OSE 551
mif( [ $train == 229 ] )
Uvar($off 117)
include( ..\includes\train229.inc )
mifend
;----------------------------------------------
; Finland
;----------------------------------------------
; Pendolino
mif( [ $train == 440 ] )
include( ..\includes\train440.inc )
mifend
;---------------------------------------------
; Albania
;
;IR mit OSE 551
mif( [ $train == 239 ] )
Uvar($off 255)
include( ..\includes\train229.inc )
mifend
;---------------------------------------------
; Belarus
;
;Express train M62
mif( [ $train == 247 ] )
Uvar($off 117)
include( ..\includes\train247.inc )
mifend
;---------------------------------------------
; MAV Hungary
;
;Express train M62
mif( [ $train == 248 ] )
Uvar($off 255)
include( ..\includes\train248.inc )
mifend
;Express train MAV63
mif( [ $train == 249 ] )
Uvar($off 255)
include( ..\includes\train249.inc )
mifend
;------------------------------------------------
; Macedonia
;Express train MAV63
mif( [ $train == 255 ] )
Uvar($off 117)
include( ..\includes\train255.inc )
mifend
;------------------------------------------------
; Japan Shinkansen
mif( [ $train == 422 ] )
include( ..\includes\train422.inc )
mifend
mif( [ $train == 423 ] )
include( ..\includes\train423.inc )
mifend
;------------------------------------------------
; Portugal
mif( [ $train == 278 ] )
Uvar($off 255)
include( ..\includes\train278.inc )
mifend
;-----------------------------------------------
; RSA South Africa
mif( [ $train == 360 ] )
Uvar($off 255)
include( ..\includes\train360.inc )
mifend
mif( [ $train == 361 ] )
Uvar($off 117)
include( ..\includes\train360.inc )
mifend
;Blue train
mif( [ $train == 362 ] )
Uvar($off 255)
include( ..\includes\train362.inc )
mifend
mif( [ $train == 363 ] )
Uvar($off 117)
include( ..\includes\train362.inc )
mifend
;-----------------------------------------------
;Australia
;Steam trains
;Government Railway
mif( [ $train == 350 ] )
Uvar($off 255)
include( ..\includes\train350.inc )
mifend
;Queensland railway
mif( [ $train == 351 ] )
Uvar($off 255)
include( ..\includes\train351.inc )
mifend
mif( [ $train == 352 ] )
Uvar($off 255)
include( ..\includes\train352.inc )
mifend
; Intercity  Train with seven cars and  engine XPT
mif( [ $train == 381 ] )
Uvar($off 53)
Uvar( $offr 0 )
include( ..\includes\train381.inc )
mifend
; Intercity  Train with seven cars and  engine XPT
mif( [ $train == 382 ] )
Uvar($off 221)
Uvar($offr 64)
include( ..\includes\train382.inc )
mifend
; Intercity  Train with seven cars and  engine XPT
mif( [ $train == 383 ] )
Uvar($off 111)
Uvar($offr 32)
include( ..\includes\train383.inc )
mifend
; CountryLink  Train with seven cars and  engine XPT
mif( [ $train == 384 ] )
Uvar($off 53)
Uvar( $offr 0 )
include( ..\includes\train384.inc )
mifend
; CountryLink  Train with seven cars and  engine XPT
mif( [ $train == 385 ] )
Uvar($off 221)
Uvar($offr 64)
include( ..\includes\train385.inc )
mifend
; CountryLink  Train with seven cars and  engine XPT
mif( [ $train == 386 ] )
Uvar($off 111)
Uvar($offr 32)
include( ..\includes\train386.inc )
mifend
;----------------------------------------------
; Taiwan
;----------------------------------------------
; E1000
mif( [ $train == 431 ] )
include( ..\includes\train431.inc )
mifend


